Subject: RFC: cp --no-preserve=contents
From: Eric Blake <[email-masked]>
To: bug-coreutils <[email-masked]>
Date: Mon, 28 Mar 2011 14:55:32 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

cp --attributes-only is great for preserving all metadata attributes
without corrupting contents, but what if I want to preserve only some of
the metadata (for example, copying SELinux context but _not_ timestamps
or content)?  It seems like --attributes-only would be a great synonym
for '--preserve=all  --no-preserve=contents', and that by adding the
'contents' category to --preserve (and defaulting it to on unless turned
off explicitly), that you expose finer-grained tuning to what metadata
gets copied.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org